CREATE TABLE USER_SETTINGS (ckey VARCHAR(255) NOT NULL, namecolor VARCHAR(7), textcolor VARCHAR(7), interfacecolor VARCHAR(7), fadecolors VARCHAR(1000), showcolors TINYINT, showsmilies TINYINT, showtitle TINYINT, showwelcome TINYINT, showmotd TINYINT, showqotd TINYINT, highlightcode TINYINT, time24hr TINYINT, timeoffset TINYINT, autoaway SMALLINT, autoafkmessage VARCHAR(255), flippanes TINYINT, fadename VARCHAR(1000), CONSTRAINT PRIMARY KEY USING HASH (ckey));
CREATE TABLE USER_AUTH (ckey VARCHAR(255) NOT NULL, login VARCHAR(255) NOT NULL, type ENUM('DreamSeeker', 'Web', 'Android'), CONSTRAINT UNIQUE (login), INDEX (login, type), CONSTRAINT PRIMARY KEY USING HASH (ckey), CONSTRAINT FOREIGN KEY (ckey) REFERENCES USER_SETTINGS (ckey) ON DELETE CASCADE ON UPDATE CASCADE);
CREATE TABLE USER_IP_ADDRESS (ckey VARCHAR(255) NOT NULL, ipaddress VARCHAR(40) NOT NULL, INDEX (ckey), INDEX (ipaddress), CONSTRAINT PRIMARY KEY USING HASH (ckey, ipaddress));
CREATE TABLE USER_COMPUTER_ID (ckey VARCHAR(255) NOT NULL, computerid VARCHAR(40) NOT NULL, INDEX (ckey), INDEX (computerid), CONSTRAINT PRIMARY KEY USING HASH (ckey, computerid));
CREATE TABLE SCHEMA_VERSION (major TINYINT, minor TINYINT, patch TINYINT);
CREATE TABLE BANNED_CKEYS (ckey VARCHAR(255) NOT NULL, CONSTRAINT PRIMARY KEY USING HASH (ckey));
INSERT INTO SCHEMA_VERSION VALUES (1, 0, 0);
